%define name	smilutils
%define version	0.3.2
%define release %mkrel 20070731.3

%define major	0
%define libname %mklibname kinoextensions %major

%define _disable_ld_no_undefined 1
%define _disable_ld_as_needed 1

Name: 	 	%{name}
Summary: 	Command line tools for Kino's SMIL video format
Version: 	%{version}
Release: 	%{release}
Source:		%{name}-20070731.tar.bz2
Patch0:		smilutils-gcc4.3.patch
URL:		http://sf.net/projects/kino
License:	GPL
Group:		Video
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	autoconf
BuildRequires:	libdv-devel quicktime-devel libxml2-devel
BuildRequires:	SDL-devel libgdk_pixbuf2.0-devel 

%description
SMIL is the file format kino uses to save projects. Here are a collection of
command line tools for SMIL manipulation.

%package -n 	%{libname}
Summary:        Dynamic libraries from %name
Group:          System/Libraries
Obsoletes:	%{libname}-devel

%description -n %{libname}
Dynamic libraries from %name.

%prep
%setup -q -n %name
%patch0 -p1

%build
./autogen.sh
%configure2_5x
%make
										
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%if "%{_lib}" != "lib"
	mv -f %buildroot%_prefix/lib %buildroot%_libdir
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc README COPYING
%{_bindir}/*
%{_mandir}/man1/*

%files -n %libname
%defattr(-,root,root)
%{_libdir}/kino/*


%changelog
* Sun Jun 01 2008 Funda Wang <fundawang@mandriva.org> 0.3.2-20070731.3mdv2009.0
+ Revision: 213977
- /usr/lib/kino is not a devel files location
- fix file list
- move .so files into /usr/lib64
- add debian patch for gcc 4.3

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.3.2-20070731.1mdv2008.1
+ Revision: 127381
- kill re-definition of %%buildroot on Pixel's request

* Wed Aug 22 2007 Austin Acton <austin@mandriva.org> 0.3.2-20070731.1mdv2008.0
+ Revision: 68816
- use debian sources to fix problems

* Fri Jun 08 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 0.3.2-0.4mdv2008.0
+ Revision: 37529
- Rebuild with libslang2.

* Mon May 28 2007 Funda Wang <fundawang@mandriva.org> 0.3.2-0.3mdv2008.0
+ Revision: 31897
- Rebuild against directfb 1.0


* Thu Mar 01 2007 Emmanuel Andry <eandry@mandriva.org> 0.3.2-0.2mdv2007.0
+ Revision: 130396
- rebuild for libgii
- Import smilutils

* Fri Jun 30 2006 Austin Acton <austin@mandriva.org> 0.3.2-1mdv2007.0
- from Cris B <cris AT beebgames DOT com> :
  - new version from CVS
  - requires gdk_pixbuf2
  - drop old patches

* Thu Sep 01 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 0.3.0-4mdk
- fix for new libquicktime

* Thu Oct 28 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.3.0-3mdk
- C++ fixes

* Fri Jun 04 2004 Michael Scherer <misc@mandrake.org> 0.3.0-2mdk 
- rebuild for new libintl

* Sat Apr 03 2004 Austin Acton <austin@mandrake.org> 0.3.0-1mdk
- 0.3.0
- redo buildrequires
- rename library
- add man pages
- add devel files
- configure 2.5

